Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PortalDefinitionControl

    public interface PortalDefinitionControl

Method Summary
`void` | `createPortalDefinition(String webApp, PortalPath portalPath, String title, String description, String portalUri, ResourceContext context)` Create a new portal definition.
`void` | `deletePortalDefinition(String webApp, PortalPath portalPath, ResourceContext context)` Deletes a portal definition.
`DefinitionCount` | `getDefinitionCount(String webApp, ResourceContext context)` Gets a DefinitionCount object containing counts of definitions within the specified webapp.
`int` | `getDesktopDefinitionCount(String webApp, PortalPath portalPath, ResourceContext context)` Returns the number of desktops in a portal for a given web app.
`PortalDefinition` | `getPortalDefinition(String webApp, PortalPath portalPath, ResourceContext context)` Gets a mutable PortalDefinition object.
`int` | `getPortalDefinitionCount(String webApp, ResourceContext context)` Returns the number of portal definitions defined in the system.
`SortableFilterablePagedResult<PortalDefinition>` | `getPortalDefinitions(int pageSize, WebAppSearchCriteria criteria, ResourceContext context)` Gets all the portal definitions for this web app.
`void` | `updatePortalDefinition(String webApp, PortalPath portalPath, PortalDefinition pDef, ResourceContext context)` Updates a portal definition.

Method Detail

### getDefinitionCount

    DefinitionCount getDefinitionCount(String webApp,
                                       ResourceContext context)
                                       throws ToolsException

  Gets a DefinitionCount object containing counts of definitions within the specified webapp.

  Parameters
    `webApp` - the web application to get definition counts for.
    `context` - the resource context.
  Returns
    an object containing definition counts.
  Throws
    `ToolsException`

### deletePortalDefinition

    void deletePortalDefinition(String webApp,
                                PortalPath portalPath,
                                ResourceContext context)
                                throws ToolsException,
                                       NotEntitledException

  Deletes a portal definition.

  Parameters
    `webApp` - the web application
    `portalPath` - The portal path.
    `context` - the resource context.
  Throws
    `ToolsException`
    `NotEntitledException`

### getPortalDefinitionCount

    int getPortalDefinitionCount(String webApp,
                                 ResourceContext context)
                                 throws ToolsException

  Returns the number of portal definitions defined in the system.

  Parameters
    `webApp` - The webApp the definition count is scoped to.
    `context` - the resource context.
  Returns
    The number of portals in the given webapp.
  Throws
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `NamingException`
    `RemoteException`
    `CreateException`
    `ToolsException`

### getDesktopDefinitionCount

    int getDesktopDefinitionCount(String webApp,
                                  PortalPath portalPath,
                                  ResourceContext context)
                                  throws ToolsException

  Returns the number of desktops in a portal for a given web app.

  Parameters
    `webApp` - the web application
    `portalPath` - The portal to query.
    `context` - the resource context.
  Returns
    The number of desktops in the given portal
  Throws
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `NamingException`
    `RemoteException`
    `CreateException`
    `ToolsException`

### getPortalDefinition

    PortalDefinition getPortalDefinition(String webApp,
                                         PortalPath portalPath,
                                         ResourceContext context)
                                         throws ToolsException,
                                                ObjectNotFoundException

  Gets a mutable PortalDefinition object.

  Parameters
    `webApp` - the web application
    `portalPath` - The path to portal.
    `context` - the resource context.
    `definitionContext` - a resource context for this request
  Returns
    A desktop definition object
  Throws
    `ToolsException`
    `ObjectNotFoundException`

### getPortalDefinitions

    SortableFilterablePagedResult<PortalDefinition> getPortalDefinitions(int pageSize,
                                                                         WebAppSearchCriteria criteria,
                                                                         ResourceContext context)
                                                                         throws ToolsException,
                                                                                ObjectNotFoundException

  Gets all the portal definitions for this web app.

  Parameters
    `pageSize` - The pagesize of the returned PagedResult.
    `criteria` - the criteria (including webapp) for the search
    `context` - the resource context.
  Returns
    a paged result of the portal definitions matching the criteria.
  Throws
    `NamingException`
    `RemoteException`
    `CreateException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `ObjectNotFoundException`
    `ToolsException`

### createPortalDefinition

    void createPortalDefinition(String webApp,
                                PortalPath portalPath,
                                String title,
                                String description,
                                String portalUri,
                                ResourceContext context)
                                throws ToolsException,
                                       DuplicateObjectException,
                                       NotEntitledException,
                                       MissingDataException

  Create a new portal definition.

  Parameters
    `webApp` - The web app to associate the portal with.
    `portalPath` - The portal path.
    `title` - The portal title.
    `description` - The portal description.
    `portalUri` - The uri of the portal.
    `context` - the resource context.
  Throws
    `ToolsException`
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`

### updatePortalDefinition

    void updatePortalDefinition(String webApp,
                                PortalPath portalPath,
                                PortalDefinition pDef,
                                ResourceContext context)
                                throws ToolsException,
                                       ObjectInUseException,
                                       NotEntitledException,
                                       MissingDataException,
                                       ObjectNotFoundException

  Updates a portal definition.

  Parameters
    `webApp` - The web app for the portal.
    `portalPath` - The portal path.
    `pDef` - The portal definition
    `context` - the resource context.
  Throws
    `ToolsException`
    `ObjectInUseException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved